Python zero_ex.contract_wrappers
================================

.. toctree::
   :maxdepth: 2
   :caption: Contents:

.. automodule:: zero_ex.contract_wrappers
   :members:


zero_ex.contract_wrappers.asset_proxy_owner
===========================================

.. automodule:: zero_ex.contract_wrappers.asset_proxy_owner
   :members:
   :special-members:


zero_ex.contract_wrappers.coordinator
=====================================

.. automodule:: zero_ex.contract_wrappers.coordinator
   :members:
   :special-members:


zero_ex.contract_wrappers.coordinator_registry
==============================================

.. automodule:: zero_ex.contract_wrappers.coordinator_registry
   :members:
   :special-members:


zero_ex.contract_wrappers.dev_utils
===================================

.. automodule:: zero_ex.contract_wrappers.dev_utils
   :members:
   :special-members:


zero_ex.contract_wrappers.dutch_auction
=======================================

.. automodule:: zero_ex.contract_wrappers.dutch_auction
   :members:
   :special-members:


zero_ex.contract_wrappers.erc1155_mintable
==========================================

.. automodule:: zero_ex.contract_wrappers.erc1155_mintable
   :members:
   :special-members:


zero_ex.contract_wrappers.erc1155_proxy
=======================================

.. automodule:: zero_ex.contract_wrappers.erc1155_proxy
   :members:
   :special-members:


zero_ex.contract_wrappers.erc20_proxy
=====================================

.. automodule:: zero_ex.contract_wrappers.erc20_proxy
   :members:
   :special-members:


zero_ex.contract_wrappers.erc20_token
=====================================

.. automodule:: zero_ex.contract_wrappers.erc20_token
   :members:
   :special-members:


zero_ex.contract_wrappers.erc721_proxy
======================================

.. automodule:: zero_ex.contract_wrappers.erc721_proxy
   :members:
   :special-members:


zero_ex.contract_wrappers.erc721_token
======================================

.. automodule:: zero_ex.contract_wrappers.erc721_token
   :members:
   :special-members:


zero_ex.contract_wrappers.exchange
==================================

.. automodule:: zero_ex.contract_wrappers.exchange
   :members:
   :special-members:


zero_ex.contract_wrappers.forwarder
===================================

.. automodule:: zero_ex.contract_wrappers.forwarder
   :members:
   :special-members:


zero_ex.contract_wrappers.i_asset_proxy
=======================================

.. automodule:: zero_ex.contract_wrappers.i_asset_proxy
   :members:
   :special-members:


zero_ex.contract_wrappers.i_validator
=====================================

.. automodule:: zero_ex.contract_wrappers.i_validator
   :members:
   :special-members:


zero_ex.contract_wrappers.i_wallet
==================================

.. automodule:: zero_ex.contract_wrappers.i_wallet
   :members:
   :special-members:


zero_ex.contract_wrappers.multi_asset_proxy
===========================================

.. automodule:: zero_ex.contract_wrappers.multi_asset_proxy
   :members:
   :special-members:


zero_ex.contract_wrappers.order_validator
=========================================

.. automodule:: zero_ex.contract_wrappers.order_validator
   :members:
   :special-members:


zero_ex.contract_wrappers.static_call_proxy
===========================================

.. automodule:: zero_ex.contract_wrappers.static_call_proxy
   :members:
   :special-members:


zero_ex.contract_wrappers.weth9
===============================

.. automodule:: zero_ex.contract_wrappers.weth9
   :members:
   :special-members:


zero_ex.contract_wrappers.zrx_token
===================================

.. automodule:: zero_ex.contract_wrappers.zrx_token
   :members:
   :special-members:


zero_ex.contract_wrappers.TxParams
==================================

.. autoclass:: zero_ex.contract_wrappers.TxParams
   :members:

zero_ex.contract_wrappers.exchange.types
========================================

.. automodule:: zero_ex.contract_wrappers.exchange.types

.. autoclass:: zero_ex.contract_wrappers.exchange.types.Order

.. autoclass:: zero_ex.contract_wrappers.exchange.types.OrderInfo

.. autoclass:: zero_ex.contract_wrappers.exchange.types.FillResults

.. autoclass:: zero_ex.contract_wrappers.exchange.types.MatchedFillResults

.. autoclass:: zero_ex.contract_wrappers.exchange.types.ZeroExTransaction

zero_ex.contract_wrappers.exchange: Generated Tuples
====================================================

.. autoclass:: zero_ex.contract_wrappers.exchange.LibOrderOrder

    This is the generated class representing `the Order struct <https://0x.org/docs/contracts#structs-Order>`_.

.. autoclass:: zero_ex.contract_wrappers.exchange.LibFillResultsFillResults

    This is the generated class representing `the FillResults struct <https://0x.org/docs/contracts#structs-FillResults>`_.

.. autoclass:: zero_ex.contract_wrappers.exchange.LibFillResultsMatchedFillResults

    This is the generated class representing `the MatchedFillResults struct <https://0x.org/docs/contracts#structs-MatchedFillResults>`_.

.. autoclass:: zero_ex.contract_wrappers.exchange.LibOrderOrderInfo

    This is the generated class representing `the OrderInfo struct <https://0x.org/docs/contracts#structs-OrderInfo>`_.

.. autoclass:: zero_ex.contract_wrappers.exchange.LibZeroExTransactionZeroExTransaction

    This is the generated class representing `the ZeroExTransaction struct <https://0x.org/docs/contracts#structs-ZeroExTransaction>`_.

Indices and tables
==================

* :ref:`genindex`
* :ref:`modindex`
* :ref:`search`
